summaryrefslogtreecommitdiff
path: root/rtemstoolkit/python-wrapper.sh
diff options
context:
space:
mode:
authorChris Johns <chrisj@rtems.org>2018-11-07 14:55:20 +1100
committerChris Johns <chrisj@rtems.org>2018-11-08 18:13:45 +1100
commite058db02816d7729e7cfa898522a6073f5d7e714 (patch)
treeaa70574c9b277224be596553881e75fc3924111c /rtemstoolkit/python-wrapper.sh
parent087be8c67f04d9f3457e9c74a97e636bec202ead (diff)
python: Provide support to select a valid python version.
- Update imports after wrapping the code. - Fix python3 issues. - Fix config path issues for in repo and install runs. Closes #3537
Diffstat (limited to 'rtemstoolkit/python-wrapper.sh')
-rw-r--r--rtemstoolkit/python-wrapper.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/rtemstoolkit/python-wrapper.sh b/rtemstoolkit/python-wrapper.sh
new file mode 100644
index 0000000..028e81b
--- /dev/null
+++ b/rtemstoolkit/python-wrapper.sh
@@ -0,0 +1,54 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2018 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# This script wraps python finding a suitable version to use.
+#
+set -e
+if test ! -f $PYTHON_CMD; then
+ echo "error: RTEMS Toolkit python command not found: $PYTHON_CMD"
+ exit 5
+fi
+for py in python3 python2 python
+do
+ set +e
+ py_cmd=$(command -v $py)
+ set -e
+ if test -n "$RTEMS_PYTHON_OVERRIDE"; then
+ if test "$RTEMS_PYTHON_OVERRIDE" != "$py"; then
+ py_cmd=""
+ fi
+ fi
+ if test -n "$py_cmd"; then
+ exec $py_cmd $PYTHON_CMD $0 $*
+ fi
+done
+echo "error: RTEMS Toolkit no valid python found"
+exit 5